%global commit b96a75985736da969ac38b72a7716a8c57bdde98
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-indentline
Version:        2.1
Release:        0.3%{?dist}
Summary:        A vim plugin to display the indention levels with thin vertical lines

License:        MIT
URL:            https://github.com/Yggdroot/indentLine
Source0:        %{url}/archive/%{commit}/indentLine-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-indentline.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
This plugin is used for displaying thin vertical lines at each indentation
level for code indented with spaces.


%prep
%autosetup -n indentLine


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {after,doc} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.md
%license LICENSE
%doc %{vimfiles_root}/doc/indentLine.txt
%{vimfiles_root}/after/plugin/indentLine.vim
%{vimfiles_root}/after/syntax/indentLine.vim
%{_metainfodir}/vim-indentline.metainfo.xml


%changelog
* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 2.1-0.3
- rebuild for F40

* Wed Nov 01 2023 Patrick Laimbock <patrick@laimbock.com> - 2.1-0.2
- update to git rev b96a75985736da969ac38b72a7716a8c57bdde98

* Sun Apr 16 2023 Patrick Laimbock <patrick@laimbock.com> - 2.1-0.1
- initial package
- based on git commit d15d63bf9c4a74a02470d4bc8ecce53df13e3a75
